@charset "UTF-8";

:root {
  --sans-serif:
    system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto,
    'Helvetica Neue', Arial, sans-serif;
  --serif: Cooper, Georgia, serif;

  --canvas: #eae1cd;
  --ink: #201d1d;
  --red: #bb3102;
  --yellow: #f5cc47;
  --blue: #4b72b0;

  --background: var(--canvas);
  --text: var(--ink);
  --primary: var(--red);
  --secondary: var(--yellow);
  --tertiary: var(--blue);
}

/* @supports (color: color(display-p3 1 1 1 / 1))
{
	:root
	{
		--canvas: color(display-p3 0.918 0.882 0.804);
		--ink: color(display-p3 0.125 0.114 0.114);
		--red: color(display-p3 0.733 0.192 0.008);
		--yellow: color(display-p3 0.961 0.8 0.278);
		--blue: color(display-p3 0.294 0.447 0.69);
	}
} */

*,
*:before,
*:after {
  box-sizing: border-box;
}

html {
  font-size: 1vw;
}

body {
  font-size: 3rem;
}

@media (min-width: 670px) {
  body {
    font-size: 3rem;
    line-height: 1.2;
  }
}

@media (min-width: 1000px) {
  html {
    font-size: 10px;
  }
}

html {
  margin: 0;
  padding: 0;
  position: relative;
}

body {
  margin: 0;
  padding: 0;
  background-color: var(--background);
  color: var(--text);
  font-family: var(--serif);
  overflow-x: hidden;
}

a {
  color: inherit;
  text-decoration: underline;
  text-decoration-thickness: 0.05em;
  text-underline-offset: 0.0625em;
}

#container {
  position: relative;
  margin: 0;
  z-index: 1;
}

#header,
#main {
  max-width: 80rem;
  margin: 0 auto;
  position: relative;
}

#header h1 {
  position: relative;
}

#header h1::before,
#header h1::after,
#header h1 a::before,
#header h1 a::after,
#wishlist::before {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  content: '';
  width: 29rem;
  height: 29rem;
  -webkit-mask-image: url('../img/bigwalk_circle.svg');
  -webkit-mask-position: center;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-size: contain;
  pointer-events: none;
  z-index: 0;
}

#header h1::before {
  top: 7.5rem;
  left: 4rem;
  background-color: var(--blue);
}

#header h1::after {
  top: 4rem;
  left: 29rem;
  background-color: var(--red);
}

#header h1 a::before {
  display: block;
  top: 23rem;
  left: 46rem;
  background-color: var(--yellow);
}

#header h1 a::after {
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -webkit-mask-image: url('../img/bigwalk_logo.svg');
  background-color: var(--ink);
  pointer-events: all;
  z-index: 10;
}

#header h1 {
  margin: 0;
  color: transparent;
  height: 50rem;
}

#header h1 a {
  display: block;
  color: transparent;
}

#header p {
  text-align: center;
}

#wishlist {
  position: absolute;
  width: 6em;
  height: 6em;
  display: grid;
  place-items: center;
  transform: rotate(-12deg) translate(-4.5rem, -11.5rem);
  z-index: 10;
}

#wishlist::before {
  width: 100%;
  height: 100%;
  background-color: var(--yellow);
}

#wishlist p {
  position: relative;
  line-height: 1;
  font-size: 0.85em;
  font-style: italic;
  margin: 0;
}

#wishlist a::after {
  position: absolute;
  width: 6.25em;
  height: 6.25em;
  display: block;
  border-radius: 7em;
  content: '';
  top: -1.6em;
  left: -0.9em;
}

#screenshots ul li:hover,
div.logos div:hover {
  transform: translateY(-0.25rem) scale(1.005);
}

#trailer,
#screenshots ul li,
p#wishlist a,
div.logos div {
  transform: translateY(0) scale(1);
}

#main p {
  margin: 1em 0;
}

#trailer,
#mailingList,
#screenshots {
  margin: 5rem auto;
}

#trailer {
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: grid;
  place-items: center;
  width: calc(100vw + 1rem);
  height: calc(56.25vw + 1rem);
  max-height: 41rem;
  max-width: 72.5rem;
  cursor: pointer;
  color: transparent;
  background-color: black;
}

#trailer iframe {
  transition: 1000ms all ease;
  background: #fff;
  overflow: hidden;
  object-fit: fill;
}

#trailer.poster iframe {
  opacity: 0;
}

#trailer.poster,
#trailer.loading {
  background-image: url('../img/poster-image.webp');
}

#trailer.loading {
  animation-name: pulse;
  animation-duration: 1500ms;
  animation-iteration-count: infinite;
  animation-play-state: running;
  animation-timing-function: ease-in-out;
}

#trailer.playing {
  animation-name: none;
  z-index: 100;
  position: relative;
}

@keyframes pulse {
  from {
    opacity: 1;
  }
  50% {
    opacity: 0.35;
  }
  to {
    opacity: 1;
  }
}

#trailer.playing iframe {
  opacity: 1;
}

#intro {
  text-align: center;
}

#header p,
#intro p {
  margin: 0.25em auto;
}

.friends-button,
.screenshots-button {
  text-decoration: underline;
  text-decoration-style: dotted;
  text-underline-offset: 0.0625em;

  cursor: pointer;
}

body.js .friends,
body.js #screenshots,
body.js form#newsletter div.checkbox,
body.js form#elist_form div.checkbox #disclaimer,
body.js form#newsletter div.checkbox #disclaimer {
  opacity: 0;
  max-height: 0;
  visibility: hidden;
  pointer-events: none;
  margin: 0;
  overflow: hidden;

  transition-property: margin, opacity, max-height, visibility, pointer-events;
  transition-duration: 0s, 0.5s, 0.5s, 1s, 1s;
  transition-delay: 0.5s, 0s, 0s, 1s, 1s;
  transition-timing-function: ease-in-out;
}

body.js .friends.revealed,
body.js #screenshots.revealed,
body.js form#newsletter div.checkbox.revealed,
body.js
  form#elist_form
  div.checkbox.revealed
  input:checked
  + label
  > #disclaimer,
body.js
  form#newsletter
  div.checkbox.revealed
  input:checked
  + label
  > #disclaimer,
body.nojs .friends,
body.nojs #screenshots,
body.nojs form#newsletter div.checkbox,
body.nojs form#elist_form div.checkbox #disclaimer,
body.nojs form#newsletter div.checkbox #disclaimer {
  opacity: 1;
  max-height: 1000vh;
  visibility: visible;
  pointer-events: all;

  transition-delay: 0.1s, 0.1s, 0.1s, 0s, 0s;
}

body.js .friends.revealed,
body.nojs .friends {
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}

.hidden {
  position: absolute;
  visibility: hidden;
  pointer-events: none;
  z-index: -1;
}

#mailingList form#elist_form,
#mailingList form#newsletter {
  justify-content: center;
  align-items: center;
  grid-gap: 0.5em;
  display: grid;
  grid-template-columns: 2fr 1fr;
}

form#elist_form label,
form#newsletter label,
p#status {
  text-align: center;
  font-size: 1em;
}

form#elist_form label,
form#newsletter label {
  grid-row: 1;
  grid-column: 1 / span 2;
  cursor: pointer;
}

p#status {
  opacity: 0;
  transition-duration: 350ms;
  transition-timing-function: ease;
  transition-property: opacity;
  grid-row: 1;
  grid-column: 1;
  margin: -2.5rem 0 0 0;
  max-height: 0;
}

p#status.success,
p#status.error {
  opacity: 1;
  margin: 0 0 1em 0;
  color: var(--blue);
  max-height: 100em;
}

form#elist_form div.email,
form#newsletter div.email {
  grid-row: 1;
  grid-column: 1;
  justify-self: stretch;
}

form#elist_form input#elist_email,
form#newsletter input#mce-EMAIL {
  font: inherit;
  text-align: left;
  margin: 0;
  width: 100%;
}

form#elist_form input#elist_email::placeholder,
form#newsletter input#mce-EMAIL::placeholder {
  color: #888;
}

form#elist_form div.checkbox,
form#newsletter div.checkbox {
  cursor: pointer;
  font-size: 0.7em;
  font-weight: 600;
  grid-column: 1 / span 2;
}

form#elist_form div.checkbox input,
form#newsletter div.checkbox input {
  position: relative;
  height: 1.5em;
  width: 1.5em;
}

form#elist_form div.submit-button,
form#newsletter div.submit-button {
  display: contents;
}

input#elist_email,
input#mce-EMAIL,
button#elist_submit,
input#mc-embedded-subscribe {
  -webkit-appearance: none;
  -moz-appearance: none;
  border: 0;
  font: inherit;
  padding: 0.25em 0.35em;
}

input#elist_email,
input#mce-EMAIL {
  background: white;
  color: var(--text);
  border-radius: 0.4em;
}

button#elist_submit,
input#mc-embedded-subscribe {
  background-color: var(--primary);
  color: #fff;
  cursor: pointer;
  border: 0.2rem transparent;
  width: 100%;
  border-radius: 0.4em;
  align-self: stretch;
  grid-column: 2;
  grid-row: 1;
}

form#elist_form p#status,
form#newsletter p#status {
  grid-row: 1;
  grid-column: 1 / span 2;
}

form#elist_form div.email,
form#newsletter div.email {
  grid-row: 1;
  grid-column: 1 / span 1;
  justify-self: stretch;
}

form#elist_form div.checkbox #disclaimer,
form#newsletter div.checkbox #disclaimer {
  font-weight: 400;
}

form#elist_form div.submit-button,
form#newsletter div.submit-button {
  grid-row: 2;
  grid-column: 2 / span 1;
  justify-self: start;
}

#screenshots ul {
  margin: 1em auto;
  list-style: none;
  padding: 0;
  display: grid;
  grid-gap: 2rem;
  grid-template-columns: auto;
}

#screenshots ul li {
  margin: 0;
  position: relative;
  width: 80rem;
  height: calc(80rem * 0.5625);
}

@media (min-width: 670px) {
  #screenshots ul {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  #screenshots ul li {
    width: 39rem;
    height: calc(39rem * 0.5625);
  }
}

#screenshots li a {
  cursor: pointer;
}

#screenshots img {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  border-radius: 0.2em;
  -webkit-object-fit: cover;
}

#footer nav {
  text-align: center;
}

#footer nav a {
  font-style: italic;
}

#footer nav a:hover {
  color: var(--primary);
}

#footer p {
  font-size: 0.65em;
  text-align: center;
  color: #888;
}

#footer {
  margin-bottom: 2.5em;
}

div.logos {
  margin: 2em auto;
  display: flex;
  justify-content: center;
  align-content: center;
}

div.logos a {
  position: absolute;
  color: transparent;
  width: 100%;
  height: 100%;
}

div#logo-panic,
div#logo-househouse {
  position: relative;
  height: 3em;
  width: 3em;
  margin: 0 0.5em;
  background-color: var(--ink);
}

#logo-panic {
  -webkit-mask-size: contain;
  -webkit-mask-position: center center;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-image: url('../img/panic.svg');
}

#logo-househouse {
  -webkit-mask-size: contain;
  -webkit-mask-position: center center;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-image: url('../img/househouse.svg');
}

#viewer {
  width: 100vw;
  height: 100vh;
  display: grid;
  place-content: center;
  background: rgba(0, 0, 0, 0.75);
  position: fixed;
  top: 0;
  left: 0;
  opacity: 0;
  pointer-events: none;
  transition: 250ms opacity ease;
  z-index: 100;
}

#viewer #image {
  display: block;
  width: 100vw;
  height: 56.25vw;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: contain;
  max-width: 128rem;
  max-height: 72rem;
  transform: scale(0);
  transition: 500ms transform ease;
  cursor: pointer;
}

body.viewer {
  overflow: hidden;
  pointer-events: none;
}

body.viewer #viewer {
  opacity: 1;
  pointer-events: all;
}

body.viewer #viewer #image {
  transform: scale(1);
}

body[data-viewer='screenshot-01'] #viewer #image {
  background-image: url('../img/bigwalk-screenshot-01.webp');
}
body[data-viewer='screenshot-02'] #viewer #image {
  background-image: url('../img/bigwalk-screenshot-02.webp');
}
body[data-viewer='screenshot-03'] #viewer #image {
  background-image: url('../img/bigwalk-screenshot-03.webp');
}
body[data-viewer='screenshot-04'] #viewer #image {
  background-image: url('../img/bigwalk-screenshot-04.webp');
}
body[data-viewer='screenshot-05'] #viewer #image {
  background-image: url('../img/bigwalk-screenshot-05.webp');
}
body[data-viewer='screenshot-06'] #viewer #image {
  background-image: url('../img/bigwalk-screenshot-06.webp');
}
body[data-viewer='screenshot-07'] #viewer #image {
  background-image: url('../img/bigwalk-screenshot-07.webp');
}
body[data-viewer='screenshot-08'] #viewer #image {
  background-image: url('../img/bigwalk-screenshot-08.webp');
}

.screenshot label,
#viewer label {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 10;
  cursor: pointer;
}

.screenshot label + a {
  display: contents;
  pointer-events: none;
}

.hidden {
  position: absolute;
  visibility: hidden;
  pointer-events: none;
  z-index: -1;
}

.platform-button {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5ch;
  padding: 0.75ch 1ch 0.5ch 1ch;
  border: 0.2ch solid transparent;
  border-radius: 3ch;
  flex: 0 0 auto;
  align-self: stretch;
  font-weight: 600;
  mix-blend-mode: multiply;
}

.platform-buttons {
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  justify-content: center;
  gap: 2ch;
  width: 100%;
  margin: 1em 0;
}

.platform-button.steam {
  background-color: var(--blue);
  color: white;
}

.platform-button.playstation {
  background-color: var(--red);
  color: white;
}
